Summary:	A settings app for Gnome Login Manager (GDM)
Name:		gdm-settings
Version:	4.4
Release:	2%{?dist}

License:	AGPLv3+
Url:		https://github.com/realmazharhussain/%{name}
Source0:	https://github.com/realmazharhussain/%{name}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-Backport-to-old-Python-3.9.patch

BuildRequires:	appstream
BuildRequires:	appdata-tools
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	pkgconfig(blueprint-compiler)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python)
BuildRequires:	python3-gobject-devel
BuildRequires:	python3.11-devel

Requires:		gdm
Requires:		polkit
Requires:		gettext
Requires:		/usr/bin/gresource
Requires:		libadwaita%{?_isa}

BuildArch:		noarch

%description
A tool for customizing GNOME Display Manager.

With User Login Manager you can:
* Import user/session settings (currently not working on Flatpak)
* Change Background/Wallpaper (Image/Color)
* Apply themes
* Font Settings 
* Top Bar Settings 
* Display settings 

%prep
%autosetup -n %{name}-%{version} -p1


%build
%meson --buildtype=release
%meson_build


%install
%meson_install
# remove use of /usr/bin/env
sed -i -e 's/^#!\/usr\/bin\/env python3/#!\/usr\/bin\/python3/g' \
    %{buildroot}%{_bindir}/gdm-settings


%find_lang %{name}


%files -f %{name}.lang
%doc README.md LICENSE
%{_bindir}/gdm-settings
%{_datadir}/gdm-settings
%{python3_sitelib}/gdms/
%{_datadir}/metainfo/io.github.realmazharhussain.GdmSettings.metainfo.xml
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/dbus-1/services/*.service


%changelog
* Mon Sep 09 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 4.4-2
- Added R: libadwaita

* Mon Sep 09 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 4.4-1
- Rebuilt for MSVSphere 9.4

* Mon Sep 09 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 4.4-1
- Initial build for MSVSphere 9.4

